API Reference
Events

Get Jai Alai event details

Fetch Jai Alai match and set details.

Endpoint overview

Fetch detailed Jai Alai event information by event id.

Use case: power a Jai Alai-specific event detail view with league-tailored fields.

Route

GET /api/v1/public/events/jaialai/{id}

Parameters (Overview)

NameInTypeRequiredDescription
idpathstringYesJai Alai Event ID
GETHTTP Method

Fetch Jai Alai match and set details.

Parameters for Example Query

Edit path and query inputs below. These values auto-fill from the schema and immediately update the request URL and generated code examples.

Response Body

application/json

application/json

application/json

application/json

application/json

Updated recently

Language

Credentials

X-API-KEY

Try it runs a real request through this site's proxy (avoids CORS). Pasting your key updates the cURL tab and is sent on Try it.

URL

Base URL
https://api.altsportsdata.com
curl -X GET "https://api.altsportsdata.com/api/v1/public/events/jaialai/jaialai:09-11-2024_chargers-vs-renegades"
Click Try it to send the active example request.
Response static example
[
  {
    "id": "6db1687f-a590-4f1a-9ab4-396eee2fd232",
    "name": "Renegades VS Warriors",
    "startDate": "2024-05-17T23:00:00.000Z",
    "endDate": "2024-05-17T23:57:24.513Z",
    "eventNumber": 1,
    "eventType": "D",
    "streamUrl": "https://pcast.phenixrts.com/channel/?token=DIGEST:eyJh",
    "eventStatus": "UPCOMING",
    "matchStatus": "UPCOMING",
    "onServeNow": "Home",
    "winner": "Home",
    "eventLocation": null,
    "sets": [
      {
        "id": "20d2f676-9f53-4196-a579-2130753e6f79",
        "startDate": "2024-05-17T23:05:14.955Z",
        "endDate": "2024-05-17T23:21:46.092Z",
        "roundStatus": "UPCOMING",
        "scores": [
          {
            "id": "3d847474-7423-45cc-832a-c029c442fca4",
            "label": "Renegades",
            "score": 6
          }
        ],
        "name": "S1"
      }
    ],
    "homeTeam": "Goenaga & Arta",
    "awayTeam": "Correa & Nicolas",
    "homeTeamFinalScore": 4.5,
    "awayTeamFinalScore": 4.5,
    "homeTeamMatchScore": 1,
    "awayTeamMatchScore": 2,
    "teams": [
      {
        "id": "7f90d13e-ae79-4d07-9574-1eed4301643c",
        "name": "Renegades",
        "isHomeTeam": true
      }
    ]
  }
]
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}